# Assign a credential to, or enable/disable, many devices

Canonical: https://docs.shumoku.dev/en/server/next/api/patchTopologiesByIdDevices
Language: en
Server documentation version: next
Product version: 0.3.0-beta.2
Channel: development

This documentation describes the Server currently in development.

Shumoku Server API · 0.3.0-beta.2 · Devices

# Assign a credential to, or enable/disable, many devices

[OpenAPI source](https://github.com/konoe-akitoshi/shumoku/blob/20492b00ee57d7db79ee0ac7f795122308a7c80e/apps/server/api/openapi.json)

```
PATCH /api/topologies/{id}/devices
```

## Authentication

sessionCookie / bearerAuth

## Request body

`AssignDevices` · application/json · required

## Responses

| Status | Description | Schema |
| --- | --- | --- |
| `200` | Devices updated | `object` |
| `400` | The request did not match the API contract | `Error` |
| `404` | Topology or credential not found | `Error` |
| `409` | Conflict | `Error` |
| `500` | Device operation failed | `Error` |

[`apps/server/api/openapi.json`](https://github.com/konoe-akitoshi/shumoku/blob/20492b00ee57d7db79ee0ac7f795122308a7c80e/apps/server/api/openapi.json)
